/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.asynchronous;

import javax.persistence.Id;
import javax.persistence.GeneratorType;
import javax.persistence.Entity;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.4.4 $
 */
@Entity
public class Fruit
{
   private int id;
   private String name;

   public Fruit()
   {

   }

   public Fruit(String name)
   {
      this.name = name;
   }

   @Id(generate = GeneratorType.AUTO)
   public int getId()
   {
      return id;
   }

   public void setId(int id)
   {
      this.id = id;
   }

   public String getName()
   {
      return name;
   }

   public void setName(String name)
   {
      this.name = name;
   }

   public String toString()
   {
      return id + "-" + name;
   }
}
